CdsOption::arguments Class Reference

Arguments for CDS-option calculation More...

`#include <ql/experimental/credit/cdsoption.hpp>`

Inheritance diagram for CdsOption::arguments:
[legend]

## Public Member Functions

void | validate () const
Public Member Functions inherited from Option::arguments
void | validate () const

## Public Attributes

ext::shared_ptr< CreditDefaultSwap > | swap
bool | knocksOut
Public Attributes inherited from Option::arguments
ext::shared_ptr< Payoff > | payoff
ext::shared_ptr< Exercise > | exercise

## Detailed Description

Arguments for CDS-option calculation